/*
 * psievent.h - events
 * Copyright (C) 2001, 2002  Justin Karneges
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 */

#include"psievent.h"


//----------------------------------------------------------------------------
// PsiEvent
//----------------------------------------------------------------------------
PsiEvent::PsiEvent()
{
	v_originLocal = false;
	v_late = false;
}

PsiEvent::~PsiEvent()
{
}

Jabber::Jid PsiEvent::jid() const
{
	return v_jid;
}

void PsiEvent::setJid(const Jabber::Jid &j)
{
	v_jid = j;
}


//----------------------------------------------------------------------------
// MessageEvent
//----------------------------------------------------------------------------
MessageEvent::MessageEvent()
{
	v_sentToChatWindow = false;
}

MessageEvent::MessageEvent(const Jabber::Message &m)
{
	v_sentToChatWindow = false;
	setMessage(m);
}

MessageEvent::~MessageEvent()
{
}

